Page MenuHomePhabricator

Auto-refresh on watchlist
Closed, ResolvedPublic

Description

Author: marudubshinki

Description:
I often use FireFox for editing on Wikipedia; thusly, I go up my watchlist, opening up dozens of tabs. I then go through them all. All this time, my internet usage is minimal, and my watchlist is increasingly stale. It would be nice if an option to add an autorefresh tage to watchlists were possible; I do not think this will be a bandwidth problem as watchlists are not large pages,
and they would only need to be refreshed every tens of minutes, and most users will never leave a watchlist open that long regardless.

See also

Details

Reference
bz3658

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 8:51 PM
bzimport added a project: MediaWiki-Watchlist.
bzimport set Reference to bz3658.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Oct 9 2005, 5:12 AM

gangleri wrote:

(In reply to comment #0)

I do not think this will be a bandwidth problem ...

It probably can become a database resource problem especially on hours with
heavy load / many enquiries.

robchur wrote:

I will have a quick look at the schema and work out whether or not it would be a
large query. I guess if all users' watchlists are updating automatically, then
we will have more queries, so in the long run, it might well be an expensive
feature to add, but we'll see.

ezyang wrote:

With Firefox, you can use ReloadEvery to emulate this functionality.

Changed component to "Watchlist"

Nemo_bis set Security to None.
Nemo_bis updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.Dec 6 2015, 12:40 PM

See also https://en.wikipedia.org/wiki/User:Theopolisme/Scripts/ajaxWatchlist.js
and consider adding a mw.hook for when the page content is refreshed so that scripts can use the new list as wanted.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 6 2015, 12:40 PM
Meno25 removed a subscriber: Meno25.Feb 22 2016, 7:14 PM

What's the status/scope of this task? Could this be a 2-3 months internship project? Asking as I am recruiting projects and mentors for GSOC/ Outreachy.

He7d3r updated the task description. (Show Details)Feb 15 2017, 11:27 AM
He7d3r removed a subscriber: wikibugs-l-list.

Removing the Possible-Tech-Projects tag as we are planning to kill it soon! This project does not seem to fit in the Outreach-Programs-Projects category in its current state, so I am not adding that tag right now!

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 12 2018, 6:24 AM
Trizek-WMF closed this task as Resolved.Jul 16 2018, 1:35 PM
Trizek-WMF added a subscriber: Trizek-WMF.

This is indeed now (deployment is ongoing) provided on watchlists as a "live update" button. Please check https://www.mediawiki.org/wiki/Help:New_filters_for_edit_review/Live_updates